package cd.casic.ci.common.pipeline.enums;

import lombok.extern.slf4j.Slf4j;

import java.util.ServiceLoader;
import java.util.concurrent.atomic.AtomicBoolean;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.api.enums
 * @Project：ops-pro
 * @name：EnumLoader
 * @Date：2025/03/26 10:16
 * @Filename：EnumLoader
 * @description：Todo
 */
@Slf4j
public class EnumLoader {
    private static final AtomicBoolean MODIFY = new AtomicBoolean(false);

    public static void enumModified() {
        if (!MODIFY.compareAndSet(false, true)) {
            return;
        }
        Class<EnumModifier> clazz = EnumModifier.class;
        ServiceLoader<EnumModifier> fetcheries = ServiceLoader.load(clazz);
        if (!fetcheries.iterator().hasNext()) {
            fetcheries = ServiceLoader.load(clazz, ServiceLoader.class.getClassLoader());
        }
        fetcheries.forEach(modifier -> {
            log.info("[ENUM MODIFIER]: " + modifier);
            try {
                modifier.modified();
            } catch (Exception e) {
                log.error("[ENUM MODIFIER]| load fail| " + e.getMessage(), e);
            }
        });
    }
}
