package cd.casic.ci.common.pipeline.pojo.setting;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.HashSet;
import java.util.Set;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo.setting
 * @Project：ops-pro
 * @name：Subscription
 * @Date：2025/03/26 14:20
 * @Filename：Subscription
 * @description：Todo
 */
@Data
@Accessors(chain = true)
@Schema(title = "设置-订阅消息")
public class Subscription {
    @Schema(title = "通知方式(email, rtx)", required = true)
    private Set<PipelineSubscriptionType> types = Set.of();
    @Schema(title = "分组", required = false)
    private Set<String> groups = Set.of();
    @Schema(title = "通知人员", required = false)
    private String users = "";
    @Schema(title = "企业微信群通知开关", required = false)
    private boolean wechatGroupFlag = false;
    @Schema(title = "企业微信群通知群ID", required = false)
    private String wechatGroup = "";
    @Schema(title = "企业微信群通知转为Markdown格式开关", required = false)
    private boolean wechatGroupMarkdownFlag = false;
    @Schema(title = "通知的流水线详情连接开关", required = false)
    private boolean detailFlag = false;
    @Schema(title = "自定义通知内容", required = false)
    private String content = "";

    // 转换企业微信组通知
    public Subscription fixWeworkGroupType() {
        Set<PipelineSubscriptionType> fixTypes;
        if (wechatGroupFlag && !types.contains(PipelineSubscriptionType.WEWORK_GROUP)) {
            fixTypes = new HashSet<>(types);
            fixTypes.add(PipelineSubscriptionType.WEWORK_GROUP);
        } else {
            fixTypes = types;
        }
        return new Subscription()
                .setTypes(fixTypes)
                .setWechatGroupFlag(false);
    }
}
