package cd.casic.pipeline.environment.pojo;

import cd.casic.pipeline.environment.pojo.thirdpartyagent.AgentBuildDetail;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.List;

@Getter
@AllArgsConstructor
@Schema(title = "NodeWithPermission-节点信息(权限)")
public class NodeWithPermission {
    @Schema(title = "环境 HashId", required = true)
    private final String nodeHashId;
    
    @Schema(title = "节点 Id", required = true)
    private final String nodeId;
    
    @Schema(title = "节点名称", required = true)
    private final String name;
    
    @Schema(title = "IP", required = true)
    private final String ip;
    
    @Schema(title = "节点状态", required = true)
    private final String nodeStatus;
    
    @Schema(title = "节点类型", required = true)
    private final String nodeType;
    
    @Schema(title = "操作系统", required = false)
    private final String osName;
    
    @Schema(title = "创建人", required = true)
    private final String createdUser;
    
    @Schema(title = "责任人", required = false)
    private final String operator;
    
    @Schema(title = "备份责任人", required = false)
    private final String bakOperator;
    
    @Schema(title = "是否可以使用", required = false)
    private final Boolean canUse;
    
    @Schema(title = "是否可以编辑", required = false)
    private final Boolean canEdit;
    
    @Schema(title = "是否可以删除", required = false)
    private final Boolean canDelete;
    
    @Schema(title = "是否可以查看", required = false)
    private final Boolean canView;
    
    @Schema(title = "网关地域", required = false)
    private final String gateway;
    
    @Schema(title = "显示名称", required = false)
    private final String displayName;
    
    @Schema(title = "创建/导入时间", required = false)
    private final String createTime;
    
    @Schema(title = "最后修改时间", required = false)
    private final String lastModifyTime;
    
    @Schema(title = "最后修改人", required = false)
    private final String lastModifyUser;
    
    @Schema(title = "所属业务, 默认-1表示没有绑定业务")
    private final Long bizId;
    
    @Schema(title = "流水线Job引用数")
    private final Integer pipelineRefCount;
    
    @Schema(title = "流水线Job引用数")
    private final String lastBuildTime;
    
    @Schema(title = "agent状态", required = true)
    private final Boolean agentStatus;
    
    @Schema(title = "agent版本")
    private final String agentVersion;
    
    @Schema(title = "agent hash id")
    private final String agentHashId;
    
    @Schema(title = "云区域ID")
    private final Long cloudAreaId;
    
    @Schema(title = "操作系统类型")
    private final String osType;
    
    @Schema(title = "hostID")
    private final Long bkHostId;
    
    @Schema(title = "job任务ID")
    private final Long taskId;
    
    @Schema(title = "主机serverId")
    private final Long serverId;
    
    @Schema(title = "机型")
    private final String size;
    
    @Schema(title = "该节点所属环境名")
    private final List<String> envNames;
    
    @Schema(title = "最近构建信息")
    private AgentBuildDetail latestBuildDetail;
}