package cd.casic.ci.log.api.impl;



import cd.casic.ci.log.dal.pojo.QueryLogLineNum;
import cd.casic.ci.log.dal.pojo.QueryLogStatus;
import cd.casic.ci.log.dal.pojo.QueryLogs;
import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.ci.log.api.ServiceLogResource;
import cd.casic.ci.log.dal.pojo.enums.LogType;
import cd.casic.ci.log.service.BuildLogQueryService;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.RestController;


@RestController
public class ServiceLogResourceImpl implements ServiceLogResource {

    @Resource
    private BuildLogQueryService buildLogQueryService;

    private static int defaultNum = 100;

    @Override
    public CommonResult<QueryLogs> getInitLogs(String userId, String projectId, String pipelineId, String buildId,
                                               boolean debug, LogType logType, String tag, String jobId, int executeCount) {
        return buildLogQueryService.getInitLogs(userId,projectId,pipelineId,buildId,debug,logType,tag,jobId,executeCount,null);
    }

    @Override
    public CommonResult<QueryLogs> getMoreLogs(String userId, String projectId, String pipelineId, String buildId,
                                               boolean debug, LogType logType, int num, boolean fromStart, long start, long end, String tag, String jobId, int executeCount) {
        return buildLogQueryService.getMoreLogs(userId,projectId,pipelineId,buildId,debug,logType,num,fromStart,start,end,tag,jobId,executeCount,null);
    }

    @Override
    public CommonResult<QueryLogs> getAfterLogs(String userId, String projectId, String pipelineId, String buildId,long start,
                                         boolean debug, LogType logType,String tag,String jobId, int executeCount) {
        return buildLogQueryService.getAfterLogs(userId,projectId,pipelineId,buildId,start,debug,logType,tag,jobId,executeCount,null);
    }

    @Override
    public CommonResult<QueryLogStatus> getLogMode(String userId, String projectId, String pipelineId, String buildId, String tag, int executeCount) {
        return buildLogQueryService.getLogMode(userId, projectId, pipelineId, buildId,tag,executeCount);
    }

    @Override
    public CommonResult<QueryLogLineNum> getLogLastLineNum(String userId, String projectId, String pipelineId, String buildId) {
        return buildLogQueryService.getLastLineNum(userId, projectId, pipelineId, buildId);
    }
}
