package cd.casic.ci.process.api.process.pojo.pipeline;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author by mianbin
 * @Classname DynamicParameterInfo
 * @Description TODO
 * @Date 2025/3/31 17:30
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Schema(title = "DynamicParameter模型-ID")
public class DynamicParameterInfo {
    @JsonProperty("id")
    private String id; // 该行的唯一标识，必填

    @JsonProperty("paramModels")
    private List<DynamicParameterInfoParam> paramModels;
}

@Data
@NoArgsConstructor
@AllArgsConstructor
class DynamicParameterInfoParam {
    @JsonProperty("value")
    private String value = null; // 值，可做为初始化的默认值

    @JsonProperty("disabled")
    private boolean disabled; // 控制是否可编辑

    @JsonProperty("id")
    private String id; // 该模型的唯一标识，必填

    @JsonProperty("isMultiple")
    private Boolean isMultiple = null; // select是否多选

    @JsonProperty("label")
    private String label = null; // testLabel

    @JsonProperty("list")
    private List<StartUpInfo> list = null; // type是select起作用，需要有id和name字段

    @JsonProperty("listType")
    private String listType = null; // 获取列表方式，可以是url或者list

    @JsonProperty("type")
    private String type; // 可以是input或者select

    @JsonProperty("url")
    private String url = null; // type是select且listType是url起作用

    @JsonProperty("dataPath")
    private String dataPath = null; // 接口返回值，取数的路径，默认为 data.records
}

