package cd.casic.ci.project.enums;

public enum ProjectAuthSecrecyStatus {
    PUBLIC(0, "私有项目"),
    PRIVATE(1, "保密项目"),
    CLASSIFIED(2, "机密项目");

    private final Integer value;
    private final String desc;

    ProjectAuthSecrecyStatus(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }

    public static ProjectAuthSecrecyStatus getStatus(int status) {
        for (ProjectAuthSecrecyStatus secrecyStatus : values()) {
            if (secrecyStatus.value == status) {
                return secrecyStatus;
            }
        }
        return null;
    }
}
