package cd.casic.pipeline.store.api.atom;

import cd.casic.framework.commons.pojo.CommonResult;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.*;


@Tag(name = "USER_ATOM_COMMENT", description = "插件-用户评论")
@RestController
@RequestMapping("/user/market/atom/comment")
public interface UserAtomCommentResource {

    @Operation(summary = "获取插件评论")
    @GetMapping("/{atomCode}")
    CommonResult<Object> getAtomComment(
            @Parameter(description = "插件代码", required = true)
            @PathVariable("atomCode")
            String atomCode
    );

    @Operation(summary = "添加插件评论")
    @PostMapping("/{atomCode}")
    CommonResult<Boolean> addAtomComment(
            @Parameter(description = "插件代码", required = true)
            @PathVariable("atomCode")
            String atomCode
    );
}