package cd.casic.pipeline.store.api.common;

import cd.casic.framework.commons.pojo.CommonResult;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import static cd.casic.ci.common.pipeline.constant.OpsHeader.AUTH_HEADER_DEVOPS_USER_ID;

@Tag(name = "BUILD_STORE_INDEX_INFO", description = "build_store_index_info")
@RestController
@RequestMapping("/build/store/index/info")
public interface BuildStoreIndexInfoResource {

    @Operation(summary = "获取store索引信息")
    @GetMapping("/")
    CommonResult<Object> getStoreIndexInfo(
            @RequestHeader(AUTH_HEADER_DEVOPS_USER_ID)
            @Parameter(description = "用户ID", required = true)
            String userId
    );
}