package cd.casic.pipeline.store.api.common;

import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.pipeline.store.pojo.common.enums.StoreTypeEnum;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.*;

import static cd.casic.ci.common.pipeline.constant.OpsHeader.AUTH_HEADER_DEVOPS_BK_TOKEN;

@Tag(name = "OPEN_STORE", description = "open-store")
@RestController
@RequestMapping("/open/store")
public interface OpenStoreResource {

    @GetMapping("/projects/{projectCode}/types/{storeType}/codes/{storeCode}/permission/validate")
    @Operation(summary = "校验项目是否有使用该组件的权限")
    CommonResult<Boolean> validateProjectComponentPermission(
            @RequestHeader(AUTH_HEADER_DEVOPS_BK_TOKEN)
            @Parameter(description = "认证token", required = true)
            String token,
            @PathVariable("projectCode")
            @Parameter(description = "项目编码", required = true)
            String projectCode,
            @Parameter(description = "标识", required = true)
            @PathVariable("storeCode")
            String storeCode,
            @Parameter(description = "类型", required = true)
            @PathVariable("storeType")
            StoreTypeEnum storeType
    );
}