package cd.casic.pipeline.store.pojo.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum StoreProjectTypeEnum {
    INIT(0), // 新增组件时关联的初始化项目
    COMMON(1), // 安装组件时关联的项目
    TEST(2); // 申请为组件协作者时关联的调试项目

    private final int type;

    public static String getProjectType(int type) {
        switch (type) {
            case 0:
                return INIT.name();
            case 2:
                return TEST.name();
            default:
                return COMMON.name();
        }
    }
}