package cd.casic.pipeline.store.pojo.common.index;

import cd.casic.pipeline.store.pojo.common.enums.*;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "新增指标请求报文体")
public class StoreIndexPipelineInitRequest {
    @Schema(title = "指标代码", required = true)
    private String indexCode;
    
    @Schema(title = "指标对应的插件件代码", required = true)
    private String atomCode;
    
    @Schema(title = "指标对应的插件版本", required = true)
    private String atomVersion = "1.*";
    
    @Schema(title = "指标执行时机类型", required = true)
    private IndexExecuteTimeTypeEnum executeTimeType;
    
    @Schema(title = "store组件类型", required = true)
    private StoreTypeEnum storeType;
}