package cd.casic.pipeline.store.pojo.common.publication;

import cd.casic.pipeline.store.pojo.common.enums.RdTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import static cd.casic.pipeline.store.pojo.common.StoreConstants.PASS;

@Data
public class StoreApproveReleaseRequest {
    @Schema(title = "是否为公共组件", required = true)
    private boolean publicFlag = false;
    
    @Schema(title = "是否推荐", required = true)
    private boolean recommendFlag = true;
    
    @Schema(title = "是否为官方认证", required = true)
    private boolean certificationFlag = false;
    
    @Schema(title = "研发来源 SELF_DEVELOPED：自研 THIRD_PARTY：第三方", required = false)
    private RdTypeEnum rdType;
    
    @Schema(title = "权重（数值越大代表权重越高）", required = false)
    private Integer weight;
    
    @Schema(title = "审核结果：PASS：通过|REJECT：驳回", required = true)
    private String result = PASS;
    
    @Schema(title = "审核结果说明", required = true)
    private String message = "";
}