package cd.casic.pipeline.store.pojo.common.publication;

import cd.casic.pipeline.store.pojo.common.enums.StoreTypeEnum;
import cd.casic.pipeline.store.pojo.common.version.VersionModel;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.Valid;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Data
@Schema(title = "工作台-组件基础信息请求报文体")
public class StoreBaseUpdateRequest {
    @Schema(title = "store组件代码", required = true)
    private String storeCode;

    @Schema(title = "store组件类型", required = true)
    private StoreTypeEnum storeType;

    @Schema(title = "store组件名称", required = true)
    private String name;

    @Schema(title = "logo地址", required = false)
    private String logoUrl;

    @Schema(title = "所属分类代码", required = true)
    private String classifyCode;

    @Schema(title = "简介", required = true)
    private String summary;

    @Schema(title = "描述", required = false)
    private String description;

    @Schema(title = "版本信息", required = true)
    @Valid
    private VersionModel versionInfo;

    @Schema(title = "标签列表", required = false)
    private ArrayList<String> labelIdList;

    @Schema(title = "应用范畴列表", required = false)
    private ArrayList<String> categoryIdList;

    @Schema(title = "基础扩展信息", required = false)
    private Map<String, Object> extBaseInfo;

    @Schema(title = "特性信息", required = false)
    @Valid
    private StoreBaseFeatureRequest baseFeatureInfo;

    @Schema(title = "环境信息列表", required = false)
    @Valid
    private List<StoreBaseEnvRequest> baseEnvInfos;
}